Debian Bug report logs - #189097
pmake: Strange make interaction with dpkg-buildpackage?

version graph

Package: pmake; Maintainer for pmake is Sam Hocevar <sho@debian.org>; Source for pmake is src:bmake.

Reported by: Alastair McKinstry <mckinstry@computer.org>

Date: Tue, 15 Apr 2003 10:48:01 UTC

Severity: normal

Found in version 1.45-11

Fixed in version pmake/1.98-1

Done: Sam Hocevar (Debian packages) <sam+deb@zoy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve McIntyre <93sam@debian.org>, pmake@packages.qa.debian.org:
Bug#189097; Package pmake. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@computer.org>:
New Bug report received and forwarded. Copy sent to Steve McIntyre <93sam@debian.org>, pmake@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@computer.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pmake: Strange make interaction with dpkg-buildpackage?
Date: Tue, 15 Apr 2003 10:13:35 +0100
Package: pmake
Version: 1.45-11
Severity: normal


Try the following:

(1) create a directory 'sources',
(2) Check out 'dash-udeb' in this directory.

Run the following makefile in the ./sources/.. directory:
----
# Makefile
test-dash:
	 ( cd source/dash-* ; dpkg-buildpackage -us -uc )
	
test-make:
	( cd source/dash-* ; pmake )


----

now, 'make test-make' works, and builds all ok.
but 'test-dash' fails with:


make[1]: Entering directory `/home/alastair/dash/source/dash-0.4.16'
rm -rf obj obj-udeb
mkdir obj obj-udeb
chmod u+x debian/bsdyacc
touch setup-stamp
dh_testdir
pmake  CFLAGS:="-Wall -DBSD=1 -DSMALL -D_GNU_SOURCE -DGLOB_BROKEN
-DHAVE_VASPRINTF=1 -DIFS_BROKEN -D__COPYRIGHT\(x\)= -D__RCSID\(x\)=
-D_DIAGASSERT\(x\)= -g -O2 -fstrict-aliasing" YACC:=bison 
make: don't know how to make w. Stop
make[1]: *** [build] Error 2
make[1]: Leaving directory `/home/alastair/dash/source/dash-0.4.16'
make: *** [test-dash] Error 2


I cannot figure out where the target 'w' comes from.

- Alastair

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux coll 2.4.20-686 #1 Mon Jan 13 22:22:30 EST 2003 i686
Locale: LANG=C, LC_CTYPE=C (ignored: LC_ALL set)

Versions of packages pmake depends on:
ii  libc6                         2.3.1-16   GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Steve McIntyre <93sam@debian.org>, pmake@packages.qa.debian.org:
Bug#189097; Package pmake. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@computer.org>:
Extra info received and forwarded to list. Copy sent to Steve McIntyre <93sam@debian.org>, pmake@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 189097@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@computer.org>
To: 189097@bugs.debian.org
Subject: workaround found`
Date: 19 Apr 2003 14:31:24 +0100
Hi,

I've found that if you unset  MAKEFLAGS and MAKELEVEL, set by the outer
Makefile, then the build works. So the bug appears to be around there
somewhere.

Regards,
Alastair



Reply sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alastair McKinstry <mckinstry@computer.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 189097-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
To: 189097-close@bugs.debian.org
Subject: Bug#189097: fixed in pmake 1.98-1
Date: Fri, 27 Feb 2004 12:02:34 -0500
Source: pmake
Source-Version: 1.98-1

We believe that the bug you reported is fixed in the latest version of
pmake, which is due to be installed in the Debian FTP archive:

pmake_1.98-1.diff.gz
  to pool/main/p/pmake/pmake_1.98-1.diff.gz
pmake_1.98-1.dsc
  to pool/main/p/pmake/pmake_1.98-1.dsc
pmake_1.98-1_i386.deb
  to pool/main/p/pmake/pmake_1.98-1_i386.deb
pmake_1.98.orig.tar.gz
  to pool/main/p/pmake/pmake_1.98.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 189097@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar (Debian packages) <sam+deb@zoy.org> (supplier of updated pmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 27 Feb 2004 16:04:12 +0100
Source: pmake
Binary: pmake
Architecture: source i386
Version: 1.98-1
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Changed-By: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Description: 
 pmake      - NetBSD make
Closes: 134798 189097 218804
Changes: 
 pmake (1.98-1) unstable; urgency=low
 .
   * New maintainer (Closes: #218804).
   * New upstream version from NetBSD HEAD (Closes: #134798).
   * Moved to a non-native package.
   * debian/rules:
     + Switched to debhelper.
   * src/main.c:
     + Parse $MAKE instead of $MAKEFLAGS when called from GNU make to avoid
       strange interactions (Closes: #189097).
Files: 
 3f6cc2b43908b41d3ffeba2fa86c69ed 572 devel optional pmake_1.98-1.dsc
 21353889a4f25b38ba436b68dcbeaa83 261933 devel optional pmake_1.98.orig.tar.gz
 01278166a6de1fe8c43c72509083a347 26930 devel optional pmake_1.98-1.diff.gz
 43b4f6f3a971e04054ead2aa650b42f9 243016 devel optional pmake_1.98-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAP3PPfPP1rylJn2ERAtb1AJ4keXyhZ/lIQyJMoAOxzwupFzzQIgCfXvRN
vnT8UWOiwA4gfr0lsr8IyIc=
=g4bM
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:51:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.